# class RSS::Maker::RSS10::Items::Item

### Public Instance Methods

to_feed(rss) click to toggle source

    # File lib/rss/maker/1.0.rb, line 234
    def to_feed(rss)
      set_default_values do
        item = RDF::Item.new(link)
        set = setup_values(item)
        if set
          item.dc_dates.clear
          rss.items << item
          set_parent(item, rss)
          setup_other_elements(rss, item)
        elsif !have_required_values?
          raise NotSetError.new("maker.item", not_set_required_variables)
        end
      end
    end

### Private Instance Methods

not_set_required_variables() click to toggle source
Calls superclass method

    # File lib/rss/maker/1.0.rb, line 258
    def not_set_required_variables
      set_default_values do
        vars = super
        vars << "title" unless title {|t| t.have_required_values?}
        vars
      end
    end

required_variable_names() click to toggle source

    # File lib/rss/maker/1.0.rb, line 250
    def required_variable_names
      %w(link)
    end

variables() click to toggle source
Calls superclass method

    # File lib/rss/maker/1.0.rb, line 254
    def variables
      super + %w(link)
    end